[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libvir] gnulib: done (first two modules)



I've checked in all of the changes to let libvirt use
the first two modules from gnulib.

That exposed the fact that gnulib's gl_INIT macro depends
on autoconf-2.59c or newer for its definition of the m4_foreach_w
macro.  Here's a kludgey work-around patch, just committed, to
fix build failure for developers who are stuck using such old tools:
(also removed some trailing blanks)

	Accommodate developers using autoconf-2.59.
	* configure.in (m4_foreach_w): Define if not defined.

I'll propose the proper change (in gnulib) tomorrow.

Signed-off-by: Jim Meyering <meyering redhat com>
---
 ChangeLog    |    5 +++++
 configure.in |   17 ++++++++++++-----
 2 files changed, 17 insertions(+), 5 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 4b3c266..302706c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Wed Dec  5 23:57:53 CET 2007 Jim Meyering <meyering redhat com>
+
+	Accommodate developers using autoconf-2.59.
+	* configure.in (m4_foreach_w): Define if not defined.
+
 Wed Dec  5 22:38:18 CET 2007 Jim Meyering <meyering redhat com>

 	Include "config.h".
diff --git a/configure.in b/configure.in
index a7f692e..8d2a143 100644
--- a/configure.in
+++ b/configure.in
@@ -33,6 +33,13 @@ AC_PROG_CC
 AC_PROG_INSTALL
 AC_PROG_CPP

+dnl gl_INIT uses m4_foreach_w, yet that is not defined in autoconf-2.59.
+dnl In order to accommodate developers with such old tools, here's a
+dnl replacement definition.
+m4_ifndef([m4_foreach_w],
+  [m4_define([m4_foreach_w],
+    [m4_foreach([$1], m4_split(m4_normalize([$2]), [ ]), [$3])])])
+
 gl_EARLY
 gl_INIT

@@ -289,8 +296,8 @@ LIBXML_LIBS=""
 LIBXML_FOUND="no"

 AC_ARG_WITH(libxml, [  --with-libxml=[PFX]       libxml2 location])
-if test "z$with_libxml" = "zno" ; then 
-    AC_MSG_CHECKING(for libxml2 libraries >= $LIBXML_REQUIRED) 
+if test "z$with_libxml" = "zno" ; then
+    AC_MSG_CHECKING(for libxml2 libraries >= $LIBXML_REQUIRED)
     AC_MSG_ERROR(libxml2 >= $LIBXML_REQUIRED is required for libvirt)
 elif test "z$with_libxml" = "z" -a "x$PKG_CONFIG" != "x" ; then
     PKG_CHECK_EXISTS(libxml-2.0,[LIBXML_FOUND=yes])
@@ -299,7 +306,7 @@ elif test "z$with_libxml" = "z" -a "x$PKG_CONFIG" != "x" ; then
     fi
 fi
 if test "z$LIBXML_FOUND" = "zno" ; then
-    if test "z$with_libxml" != "z" ; then 
+    if test "z$with_libxml" != "z" ; then
 	LIBXML_CONFIG=$with_libxml/bin/$LIBXML_CONFIG
     fi
     AC_MSG_CHECKING(libxml2 $LIBXML_CONFIG >= $LIBXML_REQUIRED )
@@ -442,8 +449,8 @@ AC_SUBST(AVAHI_LIBS)

 dnl virsh libraries
 AC_CHECK_HEADERS([readline/readline.h])
-AC_CHECK_LIB(readline, main, 
-	[VIRSH_LIBS="$VIRSH_LIBS -lreadline"], 
+AC_CHECK_LIB(readline, main,
+	[VIRSH_LIBS="$VIRSH_LIBS -lreadline"],
 	[AC_MSG_WARN([readline library not found])],
 	[$VIRSH_LIBS])
 AC_SUBST(VIRSH_LIBS)
-- 
1.5.3.7.1006.g8c6a6


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]